Firmware loaders for M-Audio/Midiman USB MIDI and Audio devices

These packages allow you to use M-Audio's USB MIDI and Audio interfaces with Linux. These devices require a firmware download before an operating system driver (e.g. ALSA's snd-usb-audio) can access them.

MidiSport devices

Download the MidiSport firmware loader.

Current version:

Supported devices:

The loader is not required for the MidiSport 2x4 and for newer KeyStation models (49e, 61es, Pro 88).

There is also an OSS driver by NAGANO Daisuke supporting the MidiSport 1x1/2x2 with GPL'd firmware written by Lars Dölle.

M-Audio USB audio devices using "DFU" technology

Download the M-Audio "DFU" firmware loader. You need at least Linux kernel version 2.6.8, but the latest version is recommended.

Current version:

Supported devices:

The loader is not required for some newer models of the above devices, like the Ozone Academic.

Other USB devices from M-Audio

The following devices work without a firmware download, but you need some recent version of ALSA to work around some bugs in their firmware, and there may still be some problems:

I don't know anything about the OmniStudio USB, but I think it may work.

The following devices are supported out-of-the-box with the standard driver:

Tascam devices

The firmware loader for the Tascam US-122, US-224, and US-428 is now obsolete; it has been replaced by ALSA's usx2yloader program.

For the latest version, download the alsa-tools and alsa-firmware packages from the ALSA website, but those should alreay come with your Linux distribution.

Project Page Logo
Hosted on